Page MenuHomePhabricator

Bundled notifications: New lines preserved in text excerpts
Closed, ResolvedPublic

Description

When the text excerpt for a bundled notification contains new lines, they are displayed in the flyout taking up the space.

The text that was used (pasted in wikitext mode):

External link:

External link with a name: [http://www.google.com google]

Internal link without a name: [[Mavetuna]]

Internal link with a name: [[Mavetuna22|famous Mavetuna]]

non-existent external link: [http://slkdslk.slkla non-existent]

non-existent internal link: [[Mavetuna2|non-existent_internal]]

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 5 2016, 12:38 AM
Etonkovidova updated the task description. (Show Details)Jul 5 2016, 12:39 AM
SBisson claimed this task.Jul 5 2016, 12:54 PM
SBisson triaged this task as High priority.
SBisson moved this task from Untriaged to In Development on the Collab-Team-2016-Apr-Jun-Q4 board.

Change 297431 had a related patch set uploaded (by Sbisson):
[WIP] Keep bundled notification compact header on one line

https://gerrit.wikimedia.org/r/297431

Change 297431 merged by jenkins-bot:
Keep bundled notification compact header on one line

https://gerrit.wikimedia.org/r/297431

Change 297695 had a related patch set uploaded (by Mattflaschen):
Keep bundled notification compact header on one line

https://gerrit.wikimedia.org/r/297695

Change 297695 merged by jenkins-bot:
Keep bundled notification compact header on one line

https://gerrit.wikimedia.org/r/297695

Mentioned in SAL [2016-07-06T23:41:24Z] <legoktm@tin> Synchronized php-1.28.0-wmf.9/extensions/Echo/: T139321, T139323 (duration: 00m 32s)

Checked the fix in betalabs - no new lines are displayed in bundled notificaitons. The screenshot below is the same notification bundle for which the ticket was created.

jmatazzoni closed this task as Resolved.Jul 8 2016, 6:32 PM